<?php

namespace Drupal\Tests\syncer\Functional;

use Drupal\Tests\BrowserTestBase;
use Drush\TestTraits\DrushTestTrait;

/**
 * Drush commands test.
 *
 * @group syncer
 */
class DrushCommandsTest extends BrowserTestBase {

  use DrushTestTrait;

  /**
   * {@inheritdoc}
   */
  public static $modules = [
    'system',
    'field',
    'node',
    'user',
    'syncer',
  ];

  /**
   * {@inheritdoc}
   */
  public function setUp() {
    parent::setUp();

    /** @var \Drupal\Core\Entity\EntityTypeManagerInterface $entity_type_manager */
    $entity_type_manager = $this->container->get('entity_type.manager');

    $entity_type_manager->getStorage('node_type')->create([
      'type' => 'article',
      'name' => 'Article',
    ])->save();

    $entity_type_manager->getStorage('node')->create([
      'nid' => 1111,
      'type' => 'article',
      'title' => 'Syncer',
      'body' => 'Syncer body',
    ])->save();

    $this->container->get('router.builder')->rebuild();
  }

  /**
   * Tests drush export command.
   */
  public function testExportCommand() {
    $this->drush('sce node');
  }

}
